- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FUDaeBlendMode Namespace Reference

Contains the multi-texture blend modes and their conversion functions. More...

## Enumerations
enum | Mode { NONE, OVER, IN, OUT, ADD, SUBTRACT, MULTIPLY, DIFFERENCE, LIGHTEN, DARKEN, SATURATE, DESATURATE, ILLUMINATE, UNKNOWN, DEFAULT = NONE }
| A multi-texture blend mode. More...
## Functions
FCOLLADA_EXPORT Mode | FromString (const char *value)
| Converts the FCollada multi-texture mode string into a blend mode.
FCOLLADA_EXPORT const char * | ToString (Mode mode)
| Converts the blend mode into its FCollada multi-texture mode string.
Mode | FromString (const fm::string &value)
| Converts the FCollada texture channel string into a texture channel.

## Detailed Description

Contains the multi-texture blend modes and their conversion functions.

## Enumeration Type Documentation

enum FUDaeBlendMode::Mode

  | A multi-texture blend mode. Enumerator:
  NONE | No blending. This is the default blend mode.
  OVER | Replaces the previous texture with the current one.
  IN | ?.
  OUT | ?.
  ADD | Adds the color values from the previous texture to the current one.
  SUBTRACT | Substracts the color values from the current texture to the previous one.
  MULTIPLY | Modulates the previous texture with the current one.
  DIFFERENCE | Substracts the color values from the previous texture to the current one.
  LIGHTEN | ?.
  DARKEN | ?.
  SATURATE | ?.
  DESATURATE | ?.
  ILLUMINATE | ?.
  UNKNOWN | An unknown blend mode.

## Function Documentation

Mode FUDaeBlendMode::FromString | ( | const fm::string & | value | ) | `[inline]`

  | Converts the FCollada texture channel string into a texture channel. Parameters:
  | value | The COLLADA interpolation type string.
Returns: The interpolation type.

FCOLLADA_EXPORT Mode FUDaeBlendMode::FromString | ( | const char * | value | ) |

  | Converts the FCollada multi-texture mode string into a blend mode. Parameters:
  | value | The FCollada multi-texture mode string.
Returns: The blend mode.

FCOLLADA_EXPORT const char* FUDaeBlendMode::ToString | ( | Mode | mode | ) |

  | Converts the blend mode into its FCollada multi-texture mode string. Parameters:
  | mode | The multi-texture blend mode.
Returns: The FCollada mode string.